Page MenuHomePhabricator

XXXX-Radar projects for Wikimedia family projects and languages + MediaWiki Stakeholders
Closed, DuplicatePublic

Description

Some communities are maintaining on-wiki lists of bugs-tasks. They could use Phabricator projects instead, reducing maintenance effort and improving their direct feedback to the contributors capable of solving those tasks.

Imagine tags like #Wikisource-radar, #German-Radar or #MediaWiki-Stakeholders-Radar to identify tasks that an organized community has decided that matter to them over the rest. Projects with plenty of tasks in their backlogs would be influenced when one task or two get several of these Radar tags. Smaller projects might welcome when one of these tags lands in one of their open tasks.

These tags would have optional boards, with optional names of columns, and the maintainers of these tags could use them to fine tune the relevance of that task for their community, i.e. "Top 5 requests", "Blocking local development", "Usual complaints by newcomers"...

Background

There are some on-wiki lists of tasks maintained by communities aligned to a family project or a language. These lists are good to bring Phabricator (and before Bugzilla) information closer to editors and potential technical contributors active at a local level. This approach has two main problems:

  • It is quite tedious to maintain, as it requires a lot of copy & paste, and back&forth when the tasks are updated/fixed.
  • Quite often the authors of the tasks and/or the maintainers of the projects related are unaware that a certain task is especially relevant to a community.

In Bugzilla, some projects tried to fix this problem by creating a tracking task blocked by tasks identified as relevant. Now we can solve this problem in a more elegant way, creating tags. Since tags are projects and projects have boards, the maintainers of these tags could even organize the tasks in their own ways for better followup and feedback.

Risks

  • A proliferation of different tags, many of them becoming unmaintained after an initial phase of enthusiasm. We might want to request a minimum of 2-3 contributors clearly active in their projects - even better if they have some history here in Phabicator as well.
  • A flood of tags caused by massive tagging. Inflation would bring devaluation. We might want to set a basic principle of being selective when using these tags, to keep their strength. For instance, no more than 50 open tasks per tag.
  • Just anybody could request the creation of a tag and use this to push a personal agenda, without an actual link to the community the tag is supposed to represent. We might need to require proof of community consensus for the creation of the tag.

Current lists (links welcome, thanks @He7d3r for yours)

Event Timeline

Qgil created this task.Dec 13 2014, 11:03 PM
Qgil raised the priority of this task from to Lowest.
Qgil updated the task description. (Show Details)
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Tpt, Aklapper and 20 others.

Please don't do it. Fix https://phabricator.wikimedia.org/T268 instead. There is no valid need for this task; whether a task is filed by an "organized community" or a "random stranger" doesn't really matter — what matters is its contents, i.e. what needs fixing.

Gryllida added a comment.EditedDec 14 2014, 4:28 AM

To clarify: anybody should be able to set priorities. Team should have nothing exclusive or different, other than the fact that they work full time and get to do more things than an individual volunteer.

There is absolutely nothing meaningful such tag would have, other than require that people maintain it.

scfc added a subscriber: scfc.Dec 14 2014, 5:54 AM

I have no idea what "radar" means here.

In Bugzilla, some projects tried to fix this problem by creating a tracking task blocked by tasks identified as relevant. Now we can solve this problem in a more elegant way, creating tags.

Tags aren't inherently "more elegant" than tracking bugs. For instance, bug 41492 used to be an on-wiki page, which I converted to a tracking bug, which worked well because cc'ing yourself is equivalent to watchlisting a page. Watching a project, instead, brings you a ton of notifications for all tasks past and future: yes, there side ways but they're not as easy.

So, if the aim is to *replace* on-wiki lists, let's make this the summary. Then ask one by one what their requirements are for such a replacement. Adding *additional* lists, instead, is out of question.

Qgil updated the task description. (Show Details)Dec 15 2014, 10:05 AM

I have no idea what "radar" means here.

A "Wiktionary" project in phabricator could also be a project used by the Wiktionary community to organize their work. This is why I'm proposing "-Radar" to identify tags used to collect tasks on the radar of a community. Could be another word, or could be no word if you think it's not needed.

Tags aren't inherently "more elegant" than tracking bugs. For instance, T43492 used to be an on-wiki page, which I converted to a tracking bug, which worked well because cc'ing yourself is equivalent to watchlisting a page. Watching a project, instead, brings you a ton of notifications for all tasks past and future: yes, there side ways but they're not as easy.
So, if the aim is to *replace* on-wiki lists, let's make this the summary.

Fair point. A notification like "Send me an email when a task is assigned to projects X, Y, Z" is possible with Herald (T630), and I expect most advanced users to set one for themselves to fill the current gap of notifications between joining (almost no notification) and watching (all notifications) a project.

In any case, you are right that the main change is to move on-wiki lists of tasks to Phabricator. I have edited the description to make this more clear.

I think nowadays an own tag project is a better solution for a new list, but tracking tasks also do the work, and they are indeed easier to subscribe to. Maybe the difference is whether you want to organize the tasks tracked in a workboard or not.

Then ask one by one what their requirements are for such a replacement. Adding *additional* lists, instead, is out of question.

The maintainers of these lists are CCed here, please help if I have missed someone.

I guess you mean that i.e. it is out of question to create a Commons-Radar project paralel to https://commons.wikimedia.org/wiki/Commons:Bugs still exists? Absolutely. New lists could be started by communities that have none, though.

Qgil added a comment.EditedDec 17 2014, 9:30 AM

More feedack welcome. Note that this is not a theoretical situation. We have open requests for Wiktionary (T75872) and Wikisource (T78498) to create this type of Phabricator projects.

I am a simple person and was thinking of a simple approach with the use of the sister name "Wikisource" though I see that this could be limiting into the future. Accordingly I have forwarded this to our mailing list to alert those users to this discussion, and done with reference to my request for the conversion of the tracking bug to a project.

Aubrey added a subscriber: Aubrey.Dec 17 2014, 5:21 PM

I'd agree with Billinghurst: "Wikisource" is simple and clear enough. I can also accept a suffix or a "-radar", for the sake of coherence of Phabricator, but that is a call I cannot make (as I don't really understand what this thing does :-).

Qgil added a comment.Dec 18 2014, 2:07 PM

Alright, considering that the "-suffix" idea isn't helping, and considering that the first use case for a Wikisource or Wiktionary project in Phabricator is simply to track tasks relevant to these projects, I can just turn this proposal:

  • "Wikisource", "Wiktionary", etc would be used to tag relevant tasks in other projects.
  • If one day any of these projects want to use Phabricator to create tasks specific to their group (improving docs, organizing a sprint, whatever), then these project would have a name like "Wikisource-suffix".

Does this make more sense? If so, then this task and T802 would be basically the same, and could be merged.

Hi Quim, I think that what you propose makes perfect sense. If we need to, we'll create Wikisource-docs, Wikisource-tools, etc, but right now we'll probably be OK just with Wikisource.

Oh, thanks. It is OK to merge with T802.

There are 2 levels of tasks for a project:

  • tasks about the project as a whole, all languages included (T78531)
  • tasks about a specific language site (T76447)

A "Wiktionary" project may be ambiguous. Instead we could go with: Wiktionary-fr, Wiktionary-en, etc. and Wiktionary-general.

Qgil added a comment.Dec 19 2014, 10:33 AM

@Darkdadaah, I just replied at https://phabricator.wikimedia.org/T802#936010

And I'm going to merge this task with T802. Let's continue the discussion there, please.